package polytech.android.e6201;

import android.content.Intent;
import android.graphics.Color;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.RadioGroup;

public class SetColorActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_set_color);

        final RadioGroup radioGroup = (RadioGroup) findViewById(R.id.radioGroup);
        Button commitButton = (Button) findViewById(R.id.commitButton);
        commitButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                int checkedColor = Color.WHITE;
                switch (radioGroup.getCheckedRadioButtonId()) {
                    case R.id.whiteRadioButton:  // 白
                        checkedColor = Color.WHITE;
                        break;
                    case R.id.redRadioButton:  // 赤
                        checkedColor = Color.RED;
                        break;
                    case R.id.blueRadioButton:  // 青
                        checkedColor = Color.BLUE;
                        break;
                    case R.id.greenRadioButton:  // 緑
                        checkedColor = Color.GREEN;
                        break;
                    case R.id.yellowRadioButton:  // 黄
                        checkedColor = Color.YELLOW;
                        break;
                    default:
                        /* NOT REACHED */
                }

                Intent intent = new Intent();
                intent.putExtra("checkedColor", checkedColor);
                Log.v("<SetColorActivity>", String.valueOf(checkedColor));
                setResult(RESULT_OK, intent);
                finish();
            }
        });
    }
}
